package com.gh.gamecenter;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;

import androidx.annotation.NonNull;

import com.gh.gamecenter.common.base.activity.ToolBarActivity;
import com.gh.gamecenter.common.constant.EntranceConsts;
import com.gh.gamecenter.common.utils.ExtensionsKt;
import com.gh.gamecenter.vote.VoteFragment;

/**
 * Created by khy on 2017/4/11.
 * 求版本投票页面
 */
@Deprecated
public class VoteActivity extends ToolBarActivity {

    @NonNull
    public static Intent getIntent(Context context, String gameName, String gameId) {
        Bundle args = new Bundle();
        args.putString(EntranceConsts.KEY_GAMENAME, gameName);
        args.putString(EntranceConsts.KEY_GAMEID, gameId);
        return getTargetIntent(context, VoteActivity.class, VoteFragment.class, args);
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }

    @Override
    protected void onDarkModeChanged() {
        super.onDarkModeChanged();
        ExtensionsKt.updateStatusBarColor(this, R.color.background_white, R.color.background_white);
    }

    @Override
    protected boolean isAutoResetViewBackgroundEnabled() {
        return true;
    }
}
